Bug 186450 - Main window comes up, but no buttons work.
Main window comes up, but no buttons work.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gmpc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE6Target
  Show dependency treegraph
 
Reported: 2006-03-23 12:20 EST by Jonathan Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 11:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixed .spec file (2.15 KB, patch)
2006-03-23 12:20 EST, Jonathan Dieter
no flags Details | Diff

  None (edit)
Description Jonathan Dieter 2006-03-23 12:20:36 EST
Description of problem:
When I open gmpc, the main window comes up, but none of the buttons work.
When I open it in the command prompt, the following messages appear:
(gmpc:9199): libglade-WARNING **: could not find signal handler 'id3_info'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'progress_seek_stop'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'change_progress_update'.
(gmpc:9199): libglade-WARNING **: could not find signal handler 'next_song'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'time_format_toggle'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'volume_change_update'.
(gmpc:9199): libglade-WARNING **: could not find signal handler 'random_pl'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'title_size_allocate'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'create_preferences_window'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'volume_change_start'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'volume_change_stop'.
(gmpc:9199): libglade-WARNING **: could not find signal handler
'progress_seek_start'.
(gmpc:9199): libglade-WARNING **: could not find signal handler 'repeat_pl'.
(gmpc:9199): libglade-WARNING **: could not find signal handler 'toggle_playlist2'.
(gmpc:9199): libglade-WARNING **: could not find signal handler 'prev_song'.
(gmpc:9199): libglade-WARNING **: could not find signal handler 'play_song'.
(gmpc:9199): libglade-WARNING **: could not find signal handler 'stop_song'.

The problem seems to lie with how the program is linked.  I've attached a new
spec file that fixes it.  The only change I made was to add
"LDFLAGS=-Wl,--export-dynamic" to the make line.

Version-Release number of selected component (if applicable):
0.11.2-3fc5

How reproducible:
Always
Comment 1 Jonathan Dieter 2006-03-23 12:20:36 EST
Created attachment 126554 [details]
Fixed .spec file
Comment 2 Aurelien Bompard 2006-04-11 11:41:01 EDT
Patch applied, thanks. The next release is building.

Note You need to log in before you can comment on or make changes to this bug.